# Ds\Set::isEmpty

(PECL ds >= 1.0.0)

Ds\Set::isEmpty — Returns whether the set is empty

### Description

public Ds\Set::isEmpty ( void ) : bool

Returns whether the set is empty.

### Parameters

This function has no parameters.

### Return Values

Returns `TRUE` if the set is empty, `FALSE` otherwise.

### Examples

Example #1 Ds\Set::isEmpty() example

`<?php
$a = new \Ds\Set([1, 2, 3]);
$b = new \Ds\Set();
var_dump($a->isEmpty());
var_dump($b->isEmpty());
?>`

The above example will output something similar to:

    bool(false)
    bool(true)